{% extends "base.html" %}
{% from "_macros.html" import collapse_card_start, collapse_card_end, paginate %}
{% block content %}


<h1>Subject Overview</h1>
    {{ collapse_card_start("Subjects", show=True, data_count=subjects.total) }}
      <table class="table table-striped">
        <thead>
        <tr>
          <th>id</th>
          <th>label</th>
          <th>date of birth</th>
          <th>cohort</th>
          <th># experiments</th>
        </tr>
        </thead>
        <tbody>
        {% for subject in subjects.items %}
        <tr>
          <td>
            <a href="{{url_for('web.web_subject', id=subject.id) }}">
              {{subject.id}}
            </a>
          </td>
          <td>
            <a href="{{url_for('web.web_subject', id=subject.id) }}">
              {{subject.label}}
            </a>
          </td>
          <td>{{subject.date_of_birth}}</td>
          <td>
            {% if subject.cohort %}
            <a href="{{url_for('web.web_cohort', id=subject.cohort.id) }}">
              {{subject.cohort.label}}
            </a>
            {% endif %}
          </td>
          <td>
            {% if subject.experiments|length > 0 %}
              <span class="badge badge-secondary">{{subject.experiments|length}}</span>
            {% else %}
              {{subject.experiments|length}}
            {% endif %}
          </td>
        </tr>
        {% endfor %}
        </tbody>
      </table>
      {{ paginate(subjects, 'web.web_subjects') }}
    {{ collapse_card_end("Subjects") }}

{% endblock %}
